Skip to content

Enable/Disable CDN distribuition

PUT
/api/v1/cdn/distributions/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/cdn/distributions/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"domain_id": "ENZYVCZPO9X4L",
"is_enabled": false
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
domain_id
string

Example

ENZYVCZPO9X4L
is_enabled

Enable CDN set is_enabled True else , To Disable set is_enabled False

boolean

Successful response indicating the distribution update status

Media typeapplication/json
object
code
integer
data
object
message
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"message": "Your Distribution has been updated successfully. It will take up to 30 minutes to deploy the new changes. Please wait."
},
"errors": {},
"message": "Success"
}